﻿/* Google Font Link */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    background: #404040;
    background: radial-gradient(circle, rgba(64, 64, 64, 1) 0%, rgba(0, 0, 0, 1) 100%);
    position: relative;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    overflow: hidden;
}

    /* Fondo borroso */
    body::before {
        content: "";
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 10%;
        background-image: url('../img/facpyaImagen.jpg');
        background-size: cover;
        background-position: center;
        filter: grayscale(40%) blur(5px);
        z-index: -1; /* Para que no tape el contenido */
    }


/* Estilos para la sección de inicio de sesión */
.section-login {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: calc(90vh - 200px);
}

.container-login {
    display: flex;
    width: 690px;
    height: 430px;
    background: white;
    border-radius: 5px;
    overflow: hidden;
    margin: 20px;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
}

.col-logo {
    flex: 1;
    background: #f5f5f5;
}

.col-form {
    flex: 1;
    text-align: center;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}


.title {
    margin-top: 30px;
    font-weight: bold;
    color: #353535;
}

/* Estilo para el encabezado */
header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    color: #FFFFFF;
}

/* Estilo para los textos del encabezado */
.encabezado {
    text-align: center;
    font-size: 15px;
}


.titulo-bolsadetrabajo {
    margin-top: 30px;
    text-align: center;
    color: #ffffff;
    align-content: center;
}


/* Estilo pantallas pequeñas: ocultar logos, ocultar col-logo */
.logo-imgU,
.logo-imgF {
    margin: 10px;
    height: 90px;
    display: none;
}

.col-logo {
    display: none !important;
}

/* Mostrar logos y col-logo en pantallas grandes (>=600px) */
@media screen and (min-width: 600px) {
    .logo-imgU,
    .logo-imgF {
        display: block;
    }

    .col-logo {
        display: block !important; /* o flex si estás usando Flexbox */
    }
}

.btn {
    margin-top: 10px;
}

/* Botón rojo */
.btnRed {
    background-color: #CB0422;
}

    .btnRed:hover {
        background-color: #AC0C00;
    }

/* Botón gris */
.btnGris {
    background-color: #333;
}

    .btnGris:hover {
        background-color: #1a1a1a;
    }

/* Cambiar el color del placeholder y label del control textbox */
.label {
    color: var(--bs-secondary-color);
}

/* Controles de texto */
.textbox {
    border: solid transparent;
    border-bottom: 1px solid #CED4DA;
}

    .textbox:focus {
        border: solid transparent;
        border-bottom: 1px solid #CED4DA;
        box-shadow: 0px 10px 5px -3px #CED4DA;
    }

.w-100 {
    width: 100%;
}

.input-field input:focus + label {
    color: silver !important;
}

.input-field input:focus {
    border-bottom: 1px solid #d50000 !important;
    box-shadow: 0 1px 0 0 #d50000 !important;
}

.input-field .input-style.valid:not(.browser-default) {
    border-bottom: 1px solid silver;
    -webkit-box-shadow: 0 1px 0 0 silver;
    box-shadow: 0 1px 0 0 silver;
}

.system-image {
    max-width: 50%;
    display: block;
    margin: 20px auto 0;
}

.footer {
    color: #ffffff;
    text-align: center;
    padding: 10px;
    width: 100%;
    position: fixed;
    bottom: 0;

}

.info-footer {
    margin-top: 20px;
    font-size: 11px;
    color: black;
    line-height: 0.2;
    background: black;
}


/*Codigo*/

/* Estilos para la sección de inicio de sesión */
.section-codigo {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: calc(90vh - 200px);
}

.container-codigo {
    display: flex;
    width: 650px;
    height: 430px;
    background: white;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 2px 20px rgba(0, 0, 0, 0.2);
    margin: 20px;
}

.titulo-codigo {
    margin-top: 30px;
    text-align: center;
    color: #ffffff;
    align-content: center;
}

.centrar-vertical {
    margin-top:40%;
}

